STILTS(1)

NAME
stilts - Starlink Tables Infrastructure Library Tool Set

SYNOPSIS

stilts [-help] [-version] [-verbose] [-allowunused] [-prompt] [-bench] [-debug] [-batch] [-memory] [-disk] [-memgui] [-checkversion <vers>] [-stdout <file>] [-stderr <file>]
<task> <task-args>

stilts <task> help[=<param-name>|*]

DESCRIPTION
STILTS provides a number of command-line applications which can be used for manipulating tabular data. Conceptually it sits between, and uses many of the same classes as, the packages STIL, which is a set of Java APIs providing table-related functionality, and TOPCAT, which is a graphical application providing the user with an interactive platform for exploring one or more tables.

Detailed help for each task is available with the help option of the task.

OPTIONS
Some flags are common to all the tasks in the STILTS package, and these are specified after the stilts invocation itself and before the task name. They generally have the same effect regardless of which task is running.

-help
    Prints a usage message for the stilts command itself and exits. The message contains a listing of all the known tasks.

-version
    Prints the STILTS version number and exits.

-verbose
    Causes more verbose information to be written during operation. Specifically, what this does is to boost the logging level by one notch. It may be specified multiple times to increase verbosity further. The flag +verbose can be used to do the opposite (reduce the logging level by one notch).

-allowunused
    Causes unused parameter settings on the command line to be tolerated. Normally, any unused parameters on the command line cause a usage message to be output and the command to fail, on the assumption that if you've supplied a parameter setting that's not doing anything it is probably a mistake and you should be given a chance to correct it. But if this flag is set, you just get a warning through the logging system about any unused parameters, and the command is executed as if they weren't there.

-prompt
    Most of the STILTS commands have a number of parameters which will assume sensible defaults if you do not give them explicit values on the command line. If you use the -prompt flag, then you will be prompted for every parameter you have not explicitly specified to give you an opportunity to enter a value other than the default.

-bench
    Outputs the elapsed time taken by the task to standard error on successful completion.

-debug
    Sets up output suitable for debugging. The most visible consequence of this is that if an error occurs then a full stacktrace is output, rather than just a user-friendly report.

-batch
    Some parameters will prompt you for their values, even if they offer legal defaults. If you use the -batch flag, then you won't be prompted at all.

-memory
    Encourages the command to use java heap memory for caching large amounts of data rather than using temporary disk files. The default is to use memory for small tables, and disk for large ones. This flag is in most cases equivalent to specifying the system property -Dstartable.storage=memory.

-disk
    Encourages the command to use temporary files on disk for caching table data. The default is to use memory for small tables, and disk for large ones. Using this flag may help if you are running out of memory. This flag is in most cases equivalent to specifying the system property -Dstartable.storage=disk.

-memgui
    Displays a graphical window while the command is running which summarises used and available heap memory. May be useful for profiling or understanding resource constraints.

-checkversion <vers>
    Requires that the version is exactly as given by the string <vers>. If it is not, STILTS will exit with an error. This can be useful when executing in certain controlled environments to ensure that the correct version of the application is being picked up.

-stdout <file>
    Sends all normal output from the run to the given file. By default this goes to the standard output stream. Supplying an empty string or "-" for <file> will restore this default behaviour.

-stderr <file>
    Sends all error output from the run to the given file. By default this goes to the standard error stream. Supplying an empty string or "-" for <file> will restore this default behaviour.

STILT TASKS
The following tasks are currently available:

stilts-arrayjoin(1)
    Adds table-per-row data as array-valued columns

stilts-calc(1)
    Evaluates expressions

stilts-cdsskymatch(1)
    Crossmatches table on sky position against VizieR/SIMBAD table

stilts-cone(1)
    Executes a Cone Search-like query

stilts-coneskymatch(1)
    Crossmatches table on sky position against remote cone service

stilts-datalinklint(1)
    Validates DataLink documents

stilts-funcs(1)
    Browses functions used by algebraic expression language

stilts-mocshape(1)
    Generates Multi-Order Coverage maps from shape values

stilts-pixfoot(1)
    Generates Multi-Order Coverage maps

stilts-pixsample(1)
    Samples from a HEALPix pixel data file

stilts-plot2d(1)
    Old-style 2D Scatter Plot

stilts-plot3d(1)
    Old-style 3D Scatter Plot

stilts-plothist(1)
    Old-style Histogram

stilts-regquery(1)
    Queries the VO registry

stilts-sqlclient(1)
    Executes SQL statements

stilts-sqlskymatch(1)
    Crossmatches table on sky position against SQL table

stilts-sqlupdate(1)
    Updates values in an SQL table

stilts-taplint(1)
    Tests TAP services

stilts-tapquery(1)
    Queries a Table Access Protocol server

stilts-tapresume(1)
    Resumes a previous query to a Table Access Protocol server

stilts-tapskymatch(1)
    Crossmatches table on sky position against TAP table

stilts-tcat(1)
    Concatenates multiple similar tables

stilts-tcatn(1)
    Concatenates multiple tables

stilts-tcopy(1)
    Converts between table formats

stilts-tcube(1)
    Calculates N-dimensional histograms

stilts-tgridmap(1)
    Calculates N-dimensional density maps

stilts-tgroup(1)
    Calculates aggregate functions on groups of rows

stilts-tjoin(1)
    Joins multiple tables side-to-side

stilts-tloop(1)
    Generates a single-column table from a loop variable

stilts-tmatch1(1)
    Performs a crossmatch internal to a single table

stilts-tmatch2(1)
    Crossmatches 2 tables using flexible criteria

stilts-tmatchn(1)
    Crossmatches multiple tables using flexible criteria

stilts-tmulti(1)
    Writes multiple tables to a single container file

stilts-tmultin(1)
    Writes multiple processed tables to single container file

stilts-tpipe(1)
    Performs pipeline processing on a table

stilts-tskymap(1)
    Calculates sky density maps

stilts-tskymatch2(1)
    Crossmatches 2 tables on sky position

stilts-votcopy(1)
    Transforms between VOTable encodings

stilts-votlint(1)
    Validates VOTable documents

stilts-xsdvalidate(1)
    Validates against XML Schema

stilts-plot2plane(1)
    Draws a plane plot

stilts-plot2sky(1)
    Draws a sky plot

stilts-plot2cube(1)
    Draws a cube plot

stilts-plot2sphere(1)
    Draws a sphere plot

stilts-plot2corner(1)
    Draws a matrix of plane plots

stilts-plot2time(1)
    Draws a time plot

SEE ALSO
stilts-<task>(1) for all tasks, topcat(1)

If the package stilts-doc is installed, the full documentation SUN/256 is available in HTML format:
file:///usr/share/doc/stilts/sun256/index.html

VERSION
STILTS version 3.5.4-debian

This is the Debian version of Stilts, which lack the support of some file formats and network protocols. For differences see
file:///usr/share/doc/stilts/README.Debian

AUTHOR
Mark Taylor (Bristol University)